Groovy 1.7.0

## groovy.lang
Class MetaClassRegistry.MetaClassCreationHandle

    java.lang.Object
      groovy.lang.MetaClassRegistry.MetaClassCreationHandle

    class MetaClassRegistry.MetaClassCreationHandle

Class used as base for the creation of MetaClass implementations. The Class defaults to MetaClassImpl, if the class loading fails to find a special meta class. The name for such a meta class would be the class name it is created for with the prefix "groovy.runtime.metaclass." By replacing the handle in the registry you can have any control over the creation of what MetaClass is used for a class that you want to have. WARNING: experimental code, likely to change soon

author:
  Jochen Theodorou

Constructor Summary
`MetaClassRegistry.MetaClassCreationHandle()`

Method Summary
`MetaClass` | `create(Class theClass, MetaClassRegistry registry)`
`protected MetaClass` | `createNormalMetaClass(Class theClass, MetaClassRegistry registry)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MetaClassRegistry.MetaClassCreationHandle

    MetaClassRegistry.MetaClassCreationHandle()

Method Detail

### create

    public final MetaClass create(Class theClass, MetaClassRegistry registry)

### createNormalMetaClass

    protected MetaClass createNormalMetaClass(Class theClass, MetaClassRegistry registry)

Copyright © 2003-2009 The Codehaus. All rights reserved.